﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Xml;

namespace WpfChart
{
    class XMLHelper
    {
        public static List<WageModel> xmlRead()
        {
            XmlDocument doc = new XmlDocument();
            doc.Load(@"./CityAverageWage.xml");

            XmlNode xn = doc.SelectSingleNode("Root").SelectSingleNode("Citys");
            XmlNodeList xnl = xn.ChildNodes;
            List<WageModel> wmlist = new List<WageModel>();
            foreach (var item in xnl)
            {
                XmlElement xe = (XmlElement)item;
                XmlNodeList list = xe.ChildNodes;
                WageModel model = new WageModel()
                {
                    CityName = list[0].InnerText,
                    NpoWage = double.Parse(list[1].InnerText),
                    PoWage = double.Parse(list[2].InnerText)
                };                
                wmlist.Add(model);
            }
            return wmlist;
        }
    }

    public class WageModel
    {
        private string _cityName;
        private double _npoWage;
        private double _poWage;

        public string CityName
        {
            get
            {
                return _cityName;
            }

            set
            {
                _cityName = value;
            }
        }

        public double NpoWage
        {
            get
            {
                return _npoWage;
            }

            set
            {
                _npoWage = value;
            }
        }

        public double PoWage
        {
            get
            {
                return _poWage;
            }

            set
            {
                _poWage = value;
            }
        }
    }
}
